RPM-MACROFILE(5)

BEZEICHNUNG
rpm-macrofile - RPM-Makro-Dateiformat

ÜBERSICHT
%NAME[([OPT]) TEXT

BESCHREIBUNG
rpm(8)-Makrodateien werden zur Definition von Makros (siehe rpm-macros(7)) in einem globalen Kontext verwandt. Es gibt zwei primäre Anwendungsfälle: Paketierung und Anpassung des rpm(8)-Verhaltens. Ein vorab festgelegter Satz an Makrodateien wird bei der Initialisierung der rpm(8)-Bibliothek eingelesen (wie in rpm-common(8) beschrieben). Makros können aber auch gezielt mit dem Makro %load geladen werden.

Das Format von Makrodateien ist wie folgt: erst %, dann der NAME des Makros gefolgt von Leerraum und dann der Makrotext, wobei jede neue Definition durch einen Zeilenumbruch getrennt ist. Die Syntax ist identisch zu der von %define. Weitere Details zur Syntax des Makros finden Sie in rpm-macros(7).

Die Zeile fährt fort, wenn am Ende ein \ steht, dies kann aber entfallen, wenn der Makrotext in einem Block %{macro:…} eingeschlossen ist.

Zeilen, die mit einem # anfangen oder nur aus Leerraum bestehen, werden ignoriert.

Einlesen einer Makrodatei ist immer vollständig erklärend: Es werden niemals Makros expandiert, wenn eine Makrodatei eingelesen wird.

BEISPIELE

  Beispiel 1: Einfaches Makro
    %Meinwerkzeug	/usr/bin/Meinwerkzeug-mit-nervigem-Namen

  Beispiel 2: Mehrzeiliges Makro mit vorangestelltem Kommentar
    # Nachfolgendes %{nil} ist praktisch, um den Zeilenumbruch am Ende sicherzustellen
    %Meinbefehl %{Meinwerkzeug} \
        --eines \
        --mit \
        --zu \
        --vielen Argumenten \
    %{nil}

  Beispiel 3: Mehrzeiliges Lua-Makro mit Parametern:
    %myhelper() %{lua:
        function machwas(arg)
            return 'mach was für arg…
        end
        print(machwas(arg[1]))
    }

SIEHE AUCH
rpm-config(5) rpmbuild-config(5) rpm-macros(7)

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> und Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).